#!/usr/bin/env python3

#Edit these for your own server
smptServer = 'your mail server'
sender =     'your email address'

username = "your username"
password = "your password"



import sys
import argparse

#from smtplib import SMTP_SSL as SMTP       # this invokes the secure SMTP protocol (port 465, uses SSL)
from smtplib import SMTP                  # use this for standard SMTP protocol   (port 25, no encryption)
from email.mime.text import MIMEText



parser = argparse.ArgumentParser(usage = "echo <content> | quickmessage -s <subject> -r <recipient>" )
parser.add_argument("-r", "--recipient", required = True, help = "Email address of person to whom you want to send the message")
parser.add_argument("-s", "--subject", required = True, help = "Subject line of the message")
parser.add_argument("-m", "--message", required = True, help = "The contents of the message you want to send")
args = parser.parse_args()


subject = args.subject
recipient = args.recipient



#Read the body of the message from stdin
#body = ""
#f = sys.stdin
#for line in f:
#   body = body + "\n" + line
body = args.message


try:
   theMessage = MIMEText(body, "plain")
   theMessage['Subject'] = subject
   theMessage['From'] = sender # some SMTP servers will do this automatically, not all

   theConnection = SMTP(smptServer)
   theConnection.set_debuglevel(False)
   theConnection.login(username, password)
   try:
       theConnection.sendmail(sender, recipient, theMessage.as_string())
       print ("Mail sent: " + body) #Show this in notification center if you want
   finally:
       theConnection.close()

except Exception as e:
   print ( "Unable to send email message: " + str(e) )
   sys.exit( "Unable to send email message: " + str(e) )
